'use strict';

const config = require('dull-config');
config.load(require('./config'));


const Glue =  require('glue');
const manifest = require('./manifest');

const options = {relativeTo: __dirname};

Glue.compose(manifest, options, (err, server) =>{

  if(err) throw err;

  if(!module.parent){
    // if this file was directly started, as a pose to required, then start the server
    server.start(() => {
      console.log('Server running at ' + server.info.uri)
      console.log(`output directory: ${config.get('dropbox.outputDirectory')}`);
    })
  }else{
    // Othewise don't start it.
    // this makes it nice for requiring into tests :-)
    console.log('server ready for tests')
  }

  module.exports = server

});